
CoCoALib - Feature #224

Leading form

03 Sep 2012 14:18 - John Abbott

Status: Closed Start date: 03 Sep 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 4.00 hours

Target version: CoCoALib-0.9952 Spent time: 3.05 hours

Description

Add a function to produce the leading form of a polynomial.

Gives error if the polynomial is 0.

Gives error if the grading dim is 0.

Requested by Bruns.

Related issues:

Related to CoCoALib - Feature #253: W.Bruns's wish list Closed 04 Oct 2012

History

#1 - 18 Sep 2012 16:34 - John Abbott

Here's Bruns's original request:

do you have a function that returns the highest homogeneous component of

a polynomial (with respect to the standard grading)? Or all homogeneous

components as a vector, say?

#2 - 04 Oct 2012 12:26 - John Abbott

An interesting suggestion is to have a procedure (with 2 params) which "moves" the leading form of one param into the other.  This should avoid

copying coeffs/PPs (and so might be automatically exception safe).

#3 - 04 Oct 2012 17:47 - Anna Maria Bigatti

- Category set to New Function

- Status changed from New to In Progress

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 40

#4 - 04 Oct 2012 18:48 - Anna Maria Bigatti

- Status changed from In Progress to Resolved

- Target version set to CoCoALib-0.9952

- % Done changed from 40 to 70

all done, all tests and documentation for CoCoALib and CoCoA-5

Need to sleep on it an tomorrow I'll check it in and close it ;-)

#5 - 18 Feb 2013 16:22 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 70 to 100

Well, it seems that Anna forgot to close this one...
Implemented, documented; appears to work fine.

So closing now.
